USN-5932-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5932-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5932-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5932-1
Related
Published
2023-03-07T14:34:13.256590Z
Modified
2023-03-07T14:34:13.256590Z
Summary
sofia-sip vulnerabilities
Details

It was discovered that Sofia-SIP incorrectly handled specially crafted SDP packets. A remote attacker could use this issue to cause applications using Sofia-SIP to crash, leading to a denial of service, or possibly execute arbitrary code. This issue only affected Ubuntu 16.04 ESM, Ubuntu 18.04 LTS, Ubuntu 20.04 LTS and Ubuntu 22.04 LTS. (CVE-2022-31001, CVE-2022-31002, CVE-2022-31003)

It was discovered that Sofia-SIP incorrectly handled specially crafted UDP packets. A remote attacker could use this issue to cause applications using Sofia-SIP to crash, leading to a denial of service. (CVE-2022-47516)

Qiuhao Li discovered that Sofia-SIP incorrectly handled specially crafted STUN packets. A remote attacker could use this issue to cause applications using Sofia-SIP to crash, leading to a denial of service, or possibly execute arbitrary code. (CVE-2023-22741)

References

Affected packages

Ubuntu:22.04:LTS / sofia-sip

Package

Name
sofia-sip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.12.11+20110422.1-2.1+deb10u3ubuntu0.22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libsofia-sip-ua-dev": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.22.04.1",
            "sofia-sip-bin": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.22.04.1",
            "libsofia-sip-ua-glib-dev": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.22.04.1",
            "libsofia-sip-ua-glib3": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.22.04.1",
            "libsofia-sip-ua0": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.22.04.1",
            "sofia-sip-doc": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.22.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / sofia-sip

Package

Name
sofia-sip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.12.11+20110422.1-2.1+deb10u3build0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libsofia-sip-ua-dev": "1.12.11+20110422.1-2.1+deb10u3build0.18.04.1",
            "sofia-sip-bin": "1.12.11+20110422.1-2.1+deb10u3build0.18.04.1",
            "libsofia-sip-ua-glib-dev": "1.12.11+20110422.1-2.1+deb10u3build0.18.04.1",
            "libsofia-sip-ua-glib3": "1.12.11+20110422.1-2.1+deb10u3build0.18.04.1",
            "libsofia-sip-ua0": "1.12.11+20110422.1-2.1+deb10u3build0.18.04.1",
            "sofia-sip-doc": "1.12.11+20110422.1-2.1+deb10u3build0.18.04.1"
        }
    ]
}

Ubuntu:20.04:LTS / sofia-sip

Package

Name
sofia-sip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.12.11+20110422.1-2.1+deb10u3ubuntu0.20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libsofia-sip-ua-dev": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.20.04.1",
            "sofia-sip-bin": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.20.04.1",
            "libsofia-sip-ua-glib-dev": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.20.04.1",
            "libsofia-sip-ua-glib3": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.20.04.1",
            "libsofia-sip-ua0": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.20.04.1",
            "sofia-sip-doc": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.20.04.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / sofia-sip

Package

Name
sofia-sip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.12.11+20110422.1-2.1+deb10u3ubuntu0.16.04.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libsofia-sip-ua-dev": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.16.04.1~esm1",
            "sofia-sip-bin": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.16.04.1~esm1",
            "libsofia-sip-ua-glib-dev": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.16.04.1~esm1",
            "libsofia-sip-ua-glib3": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.16.04.1~esm1",
            "libsofia-sip-ua0": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.16.04.1~esm1",
            "sofia-sip-doc": "1.12.11+20110422.1-2.1+deb10u3ubuntu0.16.04.1~esm1"
        }
    ]
}